pqxx::tablereader Class Reference

`#include <tablereader.hxx>`

Inheritance diagram for pqxx::tablereader:

## Public Member Functions

| tablereader (transaction_base &, const std::string &Name, const std::string &Null=std::string())
template<typename ITER >
| tablereader (transaction_base &, const std::string &Name, ITER begincolumns, ITER endcolumns)
template<typename ITER >
| tablereader (transaction_base &, const std::string &Name, ITER begincolumns, ITER endcolumns, const std::string &Null)
| ~tablereader () throw ()
template<typename TUPLE >
tablereader & | operator>> (TUPLE &)
| operator bool () const throw ()
bool | operator! () const throw ()
bool | get_raw_line (std::string &Line)
template<typename TUPLE >
void | tokenize (std::string, TUPLE &) const
virtual void | complete ()
Public Member Functions inherited from pqxx::tablestream
| tablestream (transaction_base &Trans, const std::string &Null=std::string())
virtual | ~tablestream ()=0 throw ()
Public Member Functions inherited from pqxx::internal::transactionfocus
| transactionfocus (transaction_base &t)
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Additional Inherited Members

Protected Member Functions inherited from pqxx::tablestream
const std::string & | NullStr () const
bool | is_finished () const throw ()
void | base_close ()
Protected Member Functions inherited from pqxx::internal::transactionfocus
void | register_me ()
void | unregister_me () throw ()
void | reg_pending_error (const std::string &) throw ()
bool | registered () const throw ()
Static Protected Member Functions inherited from pqxx::tablestream
template<typename ITER >
static std::string | columnlist (ITER colbegin, ITER colend)
Protected Attributes inherited from pqxx::internal::transactionfocus
transaction_base & | m_Trans

## Detailed Description

Deprecated:
  Efficiently pull data directly out of a table.

Warning
  This class does not work reliably with multibyte encodings. Using it with some multi-byte encodings may pose a security risk.

## Constructor & Destructor Documentation

## tablereader() [1/3]

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | const std::string & | Null = `std::string()`
| ) |  |

References pqxx::internal::transactionfocus::register_me().

## tablereader() [2/3]

template<typename ITER >

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | ITER | begincolumns,
|  | ITER | endcolumns
| ) |  |

References pqxx::tablestream::columnlist().

## tablereader() [3/3]

template<typename ITER >

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | ITER | begincolumns,
|  | ITER | endcolumns,
|  | const std::string & | Null
| ) |  |

References pqxx::tablestream::columnlist().

## ~tablereader()

pqxx::tablereader::~tablereader | ( |  | ) |
throw | ( |
| ) |  |

References pqxx::transaction_base::conn(), pqxx::internal::transactionfocus::m_Trans, and pqxx::internal::transactionfocus::reg_pending_error().

## Member Function Documentation

## complete()

void pqxx::tablereader::complete | ( |  | ) |

virtual

Implements pqxx::tablestream.

References pqxx::tablestream::base_close(), pqxx::internal::digit_to_number(), get_raw_line(), pqxx::tablestream::is_finished(), pqxx::tablestream::NullStr(), and pqxx::internal::transactionfocus::reg_pending_error().

## get_raw_line()

bool pqxx::tablereader::get_raw_line | ( | std::string & | Line | ) |

References pqxx::internal::transactionfocus::m_Trans.

Referenced by complete(), pqxx::tablewriter::operator<<(), and operator>>().

## operator bool()

pqxx::tablereader::operator bool | ( |  | ) | const
throw | ( |
| ) |  |

## operator!()

bool pqxx::tablereader::operator! | ( |  | ) | const
throw | ( |
| ) |  |

## operator>>()

template<typename TUPLE >

tablereader & pqxx::tablereader::operator>> | ( | TUPLE & | T | ) |

References get_raw_line(), and tokenize().

## tokenize()

template<typename TUPLE >

void pqxx::tablereader::tokenize | ( | std::string | Line,
|  | TUPLE & | T
| ) |  | const

Referenced by operator>>().

The documentation for this class was generated from the following files:

- tablereader.hxx
- tablereader.cxx